# GameManager | oops-framework
Documentation for oops-framework

# Class GameManager

游戏世界管理

#### Hierarchy

- GameManager

- Defined in assets/core/game/GameManager.ts:12

#####
Index

### Constructors

constructor

### Properties

root

### Methods

gameTimeScaleExtend
setTimeScale

## Constructors

### constructor

- new GameManager(root: Node): GameManager

- #### Parameters

  - ##### root: Node

  #### Returns GameManager

  - Defined in assets/core/game/GameManager.ts:16

## Properties

### root

root: Node

界面根节点

- Defined in assets/core/game/GameManager.ts:14

## Methods

### `Private` gameTimeScaleExtend

- gameTimeScaleExtend(): void

- 只支持web整体加速

  #### Returns void

  - Defined in assets/core/game/GameManager.ts:27

### setTimeScale

- setTimeScale(scale: number): void

- 设置游戏动画速度（不支持 Native 模式）

  #### Parameters

  - ##### scale: number

  #### Returns void

  - Defined in assets/core/game/GameManager.ts:22

Generated using TypeDoc